package be.ac.ulb.code.wit.service;

import javax.jws.WebService;

// The @WebService annotation declares this interface to become available through a SOAP web service
@WebService
public interface Random {
	/**
	 * Get a random fact/quote.
	 * @return A random fact or quote.
	 */
	public abstract String getFact();

	/**
	 * Retrieves an array of n random facts/quotes. Some facts may be duplicates.
	 * @param n The number of facts/quotes to be retrieved.
	 * @return An array of n random facts/quotes.
	 */
	public abstract String[] getFacts(int n);

	/**
	 * Get a random integer.
	 * @return A random integer.
	 */
	public abstract int getRandom();

	/**
	 * Get a random integer between minInclusive and maxExclusive.
	 * @param minInclusive The minimum (inclusive) integer that can be returned;
	 * @param maxExclusive The maximum (exclusive) integer that can be returned;
	 * @return A random integer between minInclusive and maxExclusive.
	 */
	public abstract int getRandom(int minInclusive, int maxExclusive);
}
